## webkit 1~svn30907-1maemo1

=== WebKitTools/Makefile ===
MODULES = Drosera DumpRenderTree

all:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

debug d development dev develop:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
	
release r deployment dep deploy:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

universal u:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

64:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

64u:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

clean:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

=== debian/changelog ===
webkit (1~svn30907-1maemo1) unstable; urgency=low

  * New upstream snapshot
  * Removed all Qt packages
  * Removed build-dep on Qt, decrease build-dep on libcurl
  * Replaced rules with a CDBS on

 -- Johan Bilien <jobi@via.ecp.fr>  Sun, 09 Mar 2008 17:58:42 +0200

webkit (0~svn27674-4) unstable; urgency=low

  * debian/rules: Revert change from 0~svn27674-3, which was obviously not
    enough.
  * WebKit.pro: Don't build testkjs, that provokes the s390 FTBFSes ; we don't
    install it anyways. Closes: #466848.
  * JavaScriptCore/kjs/interpreter.cpp, JavaScriptCore/wtf/ASCIICType.h,
    WebCore/dom/Position.cpp, WebCore/editing/Selection.cpp,
    WebCore/editing/SelectionController.cpp,
    WebCore/editing/VisiblePosition.cpp,
    WebCore/ksvg2/svg/SVGFontFaceElement.cpp,
    WebCore/loader/FTPDirectoryParser.cpp,
    WebCore/loader/icon/IconDatabase.cpp,
    WebCore/platform/TextCodecLatin1.cpp,
    WebCore/platform/TextCodecUserDefined.cpp,
    WebCore/platform/TextStream.cpp,
    WebCore/platform/image-decoders/jpeg/JPEGImageDecoder.cpp: Fix FTBFS with
    gcc 4.3 due to missing includes. Closes: #455125.

 -- Mike Hommey <glandium@debian.org>  Thu, 21 Feb 2008 23:01:12 +0100

webkit (0~svn27674-3) unstable; urgency=low

  * debian/rules: Work around #466613 (FTBFS on s390) by building a little bit
    less optimized (-O1). Thanks to Josselin Mouette.
  * debian/control:
    - Add Vcs-Browser and Vcs-Git fields, and turn Homepage indications in
      descriptions into a control field.
    - Bumped Standards-Version to 3.7.3.0. No changes.

 -- Mike Hommey <glandium@debian.org>  Wed, 20 Feb 2008 21:49:33 +0100

webkit (0~svn27674-2) unstable; urgency=low

  * JavaScriptCore/JavaScriptCore.pri: cherry-picked change from revision
    28692 to fix FTBFS due to lack of -lpthread on the linker command line.
  * debian/control: Add dependencies on necessary development packages
    (essentially for header files) to our own development packages.

 -- Mike Hommey <glandium@debian.org>  Sat, 15 Dec 2007 11:04:47 +0100

webkit (0~svn27674-1) unstable; urgency=low

  * New upstream snapshot
  * debian/copyright: Updated to fit additions/removals of files upstream.
  * debian/control: Make libwebkitgtk-dev conflict with the old
    libwebkitgdk-dev. Closes: #449001.
  * debian/rules: Bump qtwebkit shlibs.
  * WebKit/qt/Api/qwebpage.cpp: cherry-picked change from revision 27904 to
    fix crashes when an event is caught outside of the webkit frame in Qt.
    This occurred, for example, when hovering over the QtLauncher toolbar.

 -- Mike Hommey <glandium@debian.org>  Mon, 19 Nov 2007 23:10:38 +0100

webkit (0~svn26044-1) unstable; urgency=low

  * New upstream snapshot
  * debian/rules:
    - Add support for DEB_BUILD_OPTIONS=noopt.
    - Bump qtwebkit shlibs, and remove versioning on the webkitgtk ones,
      as the library is new.
  * debian/copyright: Updated to fit additions/removals of files upstream.
  * debian/control, debian/rules, debian/libwebkitgtk-dev.install,
    debian/libwebkitgtk0d.install: Replace occurences of gdk by gtk, and
    rename libwebkitgdk*, to fit upstream rename of the Gtk port.
    Closes: #445060.

 -- Mike Hommey <glandium@debian.org>  Fri, 05 Oct 2007 00:05:06 +0200

webkit (0~svn25144-2) unstable; urgency=low

  * JavaScriptCore/wtf/Platform.h:
    - Also test if __arm__ is defined, which should fix the FTBFS on arm.
    - Use better defines for our various arm ports.
  * JavaScriptCore/kjs/ustring.h, WebCore/platform/DeprecatedString.h: Use
    these new defines. Thanks Riku Voipio.
  * debian/control: Build depend on Qt >= 4.3. Thanks Hubert Figuiere.
    Closes: #439672.
  * debian/rules: Explicitely use qmake-qt4 instead of qmake to avoid build
    failures when qt3-dev-tools is installed. Thanks Michael Biebl.
    Closes: #441007.

 -- Mike Hommey <glandium@debian.org>  Thu, 06 Sep 2007 08:12:21 +0200

webkit (0~svn25144-1) unstable; urgency=low

  * New upstream snapshot
  * debian/copyright: Updated so as to fit what we actually remove (there were
    missing removals previously, which were not appropriate for the most
    anyways), and to fit the additions/removals of files upstream.
  * JavaScriptCore/wtf/TCSpinLock.h: Work around an FTBFS on PPC due to a
    probable regression in gcc (#438415).
  * debian/rules:
    + Change the place we install QtLauncher from, since it moved.
    + Set binary packages' shlibs correctly.
    + Use $(CURDIR) variable more safely to avoid problem with build
      directories with spaces.
  * WebKitQt/Plugins/Plugins.pro: Build plugins with hidden symbols, so that
    they don't expose unwanted symbols.

 -- Mike Hommey <glandium@debian.org>  Sun, 19 Aug 2007 15:54:12 +0200

webkit (0~svn24735-1) unstable; urgency=low

  * Initial release. (Closes: #428855)

 -- Mike Hommey <glandium@debian.org>  Wed, 15 Aug 2007 14:19:46 +0200

=== debian/control ===
Source: webkit
Priority: optional
Section: web
Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>
Build-Depends: debhelper (>= 5.0), libgtk2.0-dev, libicu-dev, libxslt-dev, libcurl3-dev, libsqlite3-dev, gperf, bison
Standards-Version: 3.7.3.0
Homepage: http://webkit.org/
Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git

Package: libwebkitgtk-1.0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Web content engine library for Gtk+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in Gtk+ applications.

Package: libwebkitgtk-dev
Section: libdevel
Priority: extra
Architecture: all
Depends: libwebkitgtk-1.0 (>= ${source:Upstream-Version}), libglib2.0-dev, libgtk2.0-dev
Conflicts: libwebkitgdk-dev
Description: Web content engine library for Gtk+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create Gtk+ applications
 embedding WebKit.

Package: libwebkitgtk-1.0-dbg
Section: libdevel
Priority: extra
Architecture: any
Depends: libwebkitgtk-1.0 (= ${binary:Version})
Description: Web content engine library for Gtk+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for Gtk+.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,-O1 -Wl,--as-needed"
DEB_COMPRESS_EXCLUDE = .c
DEB_CONFIGURE_EXTRA_FLAGS := --with-hildon

common-binary-predeb-arch:: list-missing
cleanbuilddir/libwebkitgtk-1.0::
	./autogen.sh

## webkit 1.0-svn41137-14

=== debian/changelog ===
webkit (1.0-svn41137-14) unstable; urgency=high

    * Fix for Mer crash.

 -- Bundyo <bundyo@gmail.com>  Tue, 12 Aug 2009 19:30:00 +0200

webkit (1.0-svn41137-13) unstable; urgency=high

    * Popup menu population enchancements.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Jul 2009 19:30:00 +0200
 

webkit (1.0-svn41137-12) unstable; urgency=high

    * Applied Adam Dingle's GTK+ DOM bindings patch.

 -- Bundyo <bundyo@gmail.com>  Tue, 19 Jul 2009 00:12:00 +0200
 

webkit (1.0-svn41137-11) unstable; urgency=high

    * Enabled AppCache.
    * Removed vfp and softfp optimization switches.

 -- Bundyo <bundyo@gmail.com>  Tue, 01 Jul 2009 02:20:00 +0200
 

webkit (1.0-svn41137-10) unstable; urgency=high

    * Applied Titanium patches.
    * Fixed the maxlength less by two chars issue.

 -- Bundyo <bundyo@gmail.com>  Tue, 01 Jul 2009 02:20:00 +0200

webkit (1.0-svn41137-9) unstable; urgency=high

    * Applied upstream patch to enable local storage.

 -- Bundyo <bundyo@gmail.com>  Tue, 26 May 2009 02:20:00 +0200

webkit (1.0-svn41137-8) unstable; urgency=high

    * Fix for slow loading resources after a while (cookies).

 -- Bundyo <bundyo@gmail.com>  Tue, 05 May 2009 02:20:00 +0200

webkit (1.0-svn41137-7) unstable; urgency=high

    * Fix for zoom_step.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Apr 2009 16:40:00 +0200

webkit (1.0-svn41137-6) unstable; urgency=high

    * Applied patch for user agent change support.

 -- Bundyo <bundyo@gmail.com>  Tue, 21 Apr 2009 01:35:00 +0200

webkit (1.0-svn41137-5) unstable; urgency=high

    * Removed resource request checks for testing.
    * Added XSLT support on request.

 -- Bundyo <bundyo@gmail.com>  Tue, 08 Apr 2009 01:00:00 +0200

webkit (1.0-svn41137-4) unstable; urgency=high

    * Changed the place where the resource request checks are done.

 -- Bundyo <bundyo@gmail.com>  Tue, 31 Mar 2009 09:00:00 +0200
 

webkit (1.0-svn41137-3) unstable; urgency=high

    * Fixed the badly applied 3rd hns' patch (The GMail crash).

 -- Bundyo <bundyo@gmail.com>  Tue, 30 Mar 2009 02:00:00 +0200
 

webkit (1.0-svn41137-2) unstable; urgency=high

    * No optimizations. 770 compatible.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Mar 2009 21:00:00 +0200
 

webkit (1.0-svn41137-1) unstable; urgency=high

    * Update from upstream.
    * Built with Nokia 770 optimizations.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Mar 2009 02:00:00 +0200
 

webkit (1.0-svn41128-2) unstable; urgency=high

    * Menu popup hack removed.

 -- Bundyo <bundyo@gmail.com>  Tue, 25 Mar 2009 02:00:00 +0200
 

webkit (1.0-svn41128-1~hns-2) unstable; urgency=low

    * Fix input method issues with hildon on-screen keyboard

 -- Hannes Wallnoefer <hannesw@gmail.com>  Tue, 24 Mar 2009 15:08:11 +0100

webkit (1.0-svn41128-1) unstable; urgency=high

    * Update from upstream.
    * Menu popup hack.

 -- Bundyo <bundyo@gmail.com>  Tue, 23 Feb 2009 02:00:00 +0200
 

webkit (1.0-svn41071-1) unstable; urgency=high

    * Update from upstream.

 -- Bundyo <bundyo@gmail.com>  Tue, 20 Feb 2009 02:00:00 +0200
 

webkit (1.0-svn40663-1) unstable; urgency=high

    * Update from upstream.

 -- Bundyo <bundyo@gmail.com>  Tue, 06 Feb 2009 02:00:00 +0200
 

webkit (1.0-svn40419-1) unstable; urgency=high

    * Handling text/plain MIME types as downloads - like Mozilla does.
    * Different way to get the Content-Length - CURL doesn't seem to do it.

 -- Bundyo <bundyo@gmail.com>  Tue, 31 Jan 2009 22:00:00 +0200

webkit (1.0-svn40239-3) unstable; urgency=high

    * Changed some dependencies to allow installation on Chinook.

 -- Bundyo <bundyo@gmail.com>  Tue, 28 Jan 2009 23:30:00 +0200

webkit (1.0-svn40239-2) unstable; urgency=high

    * Switched on some optimizations.

 -- Bundyo <bundyo@gmail.com>  Tue, 27 Jan 2009 03:00:00 +0200

webkit (1.0-svn40239-1) unstable; urgency=high

    * Updated to 40239.

 -- Bundyo <bundyo@gmail.com>  Tue, 27 Jan 2009 01:00:00 +0200

webkit (1.0-svn40080-1) unstable; urgency=high

    * Updated to 40080.

 -- Bundyo <bundyo@gmail.com>  Tue, 22 Jan 2009 01:00:00 +0200
 

webkit (1.0-svn39682-1) unstable; urgency=high

    * Updated to 39682.

 -- Bundyo <bundyo@gmail.com>  Tue, 09 Jan 2009 23:00:00 +0200
 

webkit (1.0-svn39572-1) unstable; urgency=high

    * Patch for unicode handling with GLib.
    * Patch for download support.
    * Patch for inspect support.
    * Maemo PASSWORD input field support with INVISIBLE input mode.
    * Web inspector files included in package.

 -- Bundyo <bundyo@gmail.com>  Tue, 04 Jan 2009 20:00:00 +0200

webkit (1.0-svn39572) unstable; urgency=high

    * Packaged for Maemo. No changes from SVN 39572.

 -- Bundyo <bundyo@gmail.com>  Tue, 03 Jan 2009 20:57:48 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: webkit
 Priority: optional
-Section: web
-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>
-Build-Depends: debhelper (>= 5.0), libgtk2.0-dev, libicu-dev, libxslt-dev, libcurl3-dev, libsqlite3-dev, gperf, bison
-Standards-Version: 3.7.3.0
+Section: user/other
+Uploaders: Bundyo <bundyo@gmail.com>
+Maintainer: Bundyo <bundyo@gmail.com>
+Build-Depends: debhelper (>= 5.0), libgtk2.0-dev (>= 2.10), libpango1.0-dev (>= 1.16), libxslt-dev, libcurl3-dev, libsqlite3-dev, bison, flex, libjpeg62-dev, libpng12-dev, autoconf, automake, libtool, libxt-dev
+Standards-Version: 3.8.0.1
 Homepage: http://webkit.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
-Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git
 
-Package: libwebkitgtk-1.0
-Section: libs
+Package: libwebkit-1.0-1
+Section: user/other
 Architecture: any
 Depends: ${shlibs:Depends}
 Description: Web content engine library for Gtk+
@@ -23,11 +21,11 @@
  .
  This is the library for embedding in Gtk+ applications.
 
-Package: libwebkitgtk-dev
+Package: libwebkit-dev
 Section: libdevel
 Priority: extra
 Architecture: all
-Depends: libwebkitgtk-1.0 (>= ${source:Upstream-Version}), libglib2.0-dev, libgtk2.0-dev
+Depends: libwebkit-1.0-1 (>= ${source:Upstream-Version}), libgtk2.0-dev
 Conflicts: libwebkitgdk-dev
 Description: Web content engine library for Gtk+ - Development files
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
@@ -40,11 +38,11 @@
  This package provides development files required to create Gtk+ applications
  embedding WebKit.
 
-Package: libwebkitgtk-1.0-dbg
+Package: libwebkit-1.0-1-dbg
 Section: libdevel
 Priority: extra
 Architecture: any
-Depends: libwebkitgtk-1.0 (= ${binary:Version})
+Depends: libwebkit-1.0-1 (= ${binary:Version})
 Description: Web content engine library for Gtk+ - Debugging symbols
  WebKit is a web content engine, derived from KHTML and KJS from KDE, and
  used primarily in Apple's Safari browser.  It is made to be embedded in

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export LC_ALL=en_US

CFLAGS = -g -Wall

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O1 -mcpu=cortex-a8 -mtune=cortex-a8 -mfpu=neon
#-mfpu=vfp -mfloat-abi=softfp
else
        CFLAGS += -O0
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
        CFLAGS += -Wl,--no-relax
endif

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	# comment out next line for fast rebuilds
	rm -rf build

	rm -f GNUmakefile.in INSTALL README aclocal.m4 aconfig.h.in compile config.guess config.sub configure depcomp install-sh ltmain.sh missing
	rm -rf autom4te.cache

	dh_clean

build: build-stamp

build-stamp:
	dh_testdir

#	CPPFLAGS="-DMOBILE=1"
	[ ! -d build ] && mkdir build || true
	cd build && \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CFLAGS)" \
	CC="gcc -Wl,--as-needed" \
	CXX="g++ -Wl,--as-needed" \
	../autogen.sh --prefix=/usr \
	--with-hildon \
	--with-unicode-backend=glib \
	--disable-dashboard-support \
	--enable-optimizations \
	--enable-workers \
	--with-http-backend=curl \
	--enable-video \
	--enable-offline-web-applications \
	--enable-database \
	--enable-icon-database \
	--enable-fast-malloc \
	--with-pic 
	
#	--host arm-unknown-linux-gnueabi

	$(MAKE) -j6 -C build

	touch $@

install: install-stamp

install-stamp: build-stamp
	dh_testdir
	dh_testroot

	dh_clean -k

	$(MAKE) -j6 -C build install DESTDIR="$(CURDIR)"/debian/tmp
	[ ! -d debian/tmp/usr/lib/webkit-1.0/libexec ] && install -d -m 755 debian/tmp/usr/lib/webkit-1.0/libexec || true
	build/libtool --mode=install install -m 755 build/Programs/DumpRenderTree "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0/libexec/DumpRenderTree
	build/libtool --mode=install install -m 755 build/Programs/GtkLauncher "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0/libexec/GtkLauncher

	touch $@

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i

	- maemo-optify

	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	# dh_strip -a --dbg-package=libwebkit-1.0-1
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libwebkit-1.0-1 (>= 1.0)' -- -c4
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a

	- maemo-optify

	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean install binary binary-indep binary-arch

## webkit 1.0.1

=== Makefile ===
MODULES = JavaScriptCore JavaScriptGlue WebCore WebKit WebKitTools

all:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

debug d development dev develop:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

release r deployment dep deploy:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

universal u:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

x86_64:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

64:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

64u:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

clean:
	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done

=== WebKitTools/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULES = Drosera DumpRenderTree
+MODULES = DumpRenderTree
 
 all:
 	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
@@ -7,12 +7,16 @@
 debug d development dev develop:
 	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
 	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-	
+
 release r deployment dep deploy:
 	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
 	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
 
 universal u:
+	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
+	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
+
+x86_64:
 	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
 	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
 
@@ -27,4 +31,3 @@
 clean:
 	@for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
 	if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-

## webkit 1.2.4

=== debian/changelog ===
webkit (1.2.4-1ubuntu1) maverick; urgency=low

  * Resync on Debian, 
    remaining changes:
  * debian/control:
    - don't build-depends on gir-repository-dev it's not required
  * debian/patches/ubuntu-gir-version.patch:
    - use the current gobject introspection abi

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Sep 2010 16:48:11 +0200

webkit (1.2.4-1) unstable; urgency=high

  * New stable release
  - fixes the following CVEs (thus urgency=high):

      CVE-2010-1781 CVE-2010-1782 CVE-2010-1784 CVE-2010-1785
      CVE-2010-1786 CVE-2010-1787 CVE-2010-1788 CVE-2010-1790
      CVE-2010-1792 CVE-2010-1793 CVE-2010-2648

  * debian/patches/04-spoof-user-agent-to-google.patch:
  - updated from the latest patch proposed for inclusion upstream
  - does not have the annoying g_message() (Closes: #592670)

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 03 Sep 2010 17:52:14 -0300

webkit (1.2.3-2) unstable; urgency=low

  * debian/patches/04-spoof-user-agent-to-google.patch:
  - spoof User Agent when talking to Google servers;
    this should make Youtube HTML5 work again (Closes: #567311)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 10 Aug 2010 20:04:20 -0300

webkit (1.2.3-1) unstable; urgency=low

  * New upstream stable release
  - fixes building with ICU 4.4.1 (Closes: #589046)
  - all CVE patches included, so drop them

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 15 Jul 2010 18:33:04 -0300

webkit (1.2.2-1) unstable; urgency=low

  [ Michael Gilbert ]
  * Turn direct source changes into a patch.
  * Fix cve-2010-1386: geolocation information disclosure.
  * Fix cve-2010-1392: possible code execution in html button logic.
  * Fix cve-2010-1405: possible code execution in vertical positioning logic.
  * Fix cve-2010-1407: iframe information disclosure.
  * Fix cve-2010-1416: svg cross-site information disclosure.
  * Fix cve-2010-1417: possible code execution in the css implementation (this
    is currently duplicated as cve-2010-1665 in mitre's cve database).
  * Fix cve-2010-1418: remote web script and/or html injection.
  * Fix cve-2010-1421: remote modification of clipboard contents.
  * Fix cve-2010-1422: keyboard focus hijack (this is duplicated as
    cve-2010-2295 in mitre's cve database).
  * Fix cve-2010-1501: add check to prevent cross-site request forgery (this
    may be duplicated as cve-2010-1767 in mitre's cve database).
  * Fix cve-2010-1664: possible code execution due to improper html5 media
    handling.
  * Fix cve-2010-1758: possible code execution in xml dom processor.
  * Fix cve-2010-1759: another possible code execution issue in the xml dom
    processor (this is duplicated as cve-2010-2300 in mitre's database).
  * Fix cve-2010-1760: user credential information disclosure.
  * Fix cve-2010-1761: possible code execution in frameview logic.
  * Fix cve-2010-1762: webscript and/or html injection using the textarea
    element (this is duplicated as cve-2010-2301 in mitre's database).
  * Fix cve-2010-1770: possible code execution due to improper handling of the
    ibm1147 character set.
  * Fix cve-2010-1771: possible code execution due to improper font handling
    (this is duplicated as cve-2010-2302 in mitre's database).
  * Fix cve-2010-1772: geolocation disconnectframe timer issue (this is
    duplicated as cve-2010-2303 in mitre's database).
  * Fix cve-2010-1773: integer overflow in alphabet conversion (this is
    duplicated as cve-2010-2304 and cve-2010-2441 in mitre's database)
    closes: #586547.
  * Fix cve-2010-1774: integer overflow in table layout handling (this is
    duplicated as cve-2010-2297 in mitre's database).

  [ Gustavo Noronha Silva ]
  * New upstream release
  - adds a new symbol, fixed symbols file to include it
  * debian/patches/01-fix-bashism-in-build.patch:
  - removed, no longer needed

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 12 Jul 2010 15:23:17 -0300

webkit (1.2.1-2) unstable; urgency=high

  * debian/patches/01-fix-bashism-in-build.diff:
  - remove bashism from the code that handles Web Inspector files,
    that end up not being installed. (Closes: #581893)
  * Marking this release as urgency=high, given the 1.2.0 series was
    already well tested, and testing has a quite buggy version for some
    time now.

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 17 May 2010 11:33:48 -0300

webkit (1.2.1-1) unstable; urgency=low

  [Michael Gilbert]
  * Convert to source format version 3.0 (quilt) to make it easier to support
    security backports in the future.
    - Create patches for existing debian modifications (sparc-support.patch
      and pool-fixup.patch)
  * Use ${misc:Depends}.
  * Bump standards to 3.8.4 (no changes required).

  [ Gustavo Noronha Silva ]
  * New upstream release
  - fixes SPARC build (Closes: #579472)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 13 May 2010 17:35:08 -0300

webkit (1.2.0-1) unstable; urgency=low

  * New upstream release - this is the first release in the 1.2 stable
    branch

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 07 Apr 2010 20:18:57 -0300

webkit (1.1.90-1) unstable; urgency=low

  * New upstream release
  - This marks the preparation for the 1.2 stable branch
  * debian/copyright:
  - updated with changes since 1.1.22
  * debian/libwebkit-1.0-2.symbols:
  - added new API introduced in 1.1.23

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 17 Mar 2010 15:05:11 -0300

webkit (1.1.22-1) unstable; urgency=low

  * New upstream release
  - Fixes crash with unknown content types in data:// URIs
    (Closes: #563695)
  - Sends Accept header for sub resources, which makes a few sites become
    happy again (Closes: #563736)
  * debian/copyright:
  - updated with changes since 1.1.21
  * debian/control:
  - replace gobject-introspection-repository, to avoid failures on upgrade
    (Closes: #563312)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 16 Feb 2010 11:55:07 -0200

webkit (1.1.21-2) unstable; urgency=low

  * debian/control:


## webkit 1.2.5

=== debian/changelog ===
webkit (1.2.5-0ubuntu0.10.04.1) lucid-security; urgency=low

  * SECURITY UPDATE: Rebuilt new stable release 1.2.5 for lucid to fix
    multiple security issues. (LP: #660075)
     - CVE-2010-1386, CVE-2010-1392, CVE-2010-1405, CVE-2010-1407
     - CVE-2010-1412, CVE-2010-1416, CVE-2010-1417, CVE-2010-1418
     - CVE-2010-1419, CVE-2010-1421, CVE-2010-1422, CVE-2010-1501
     - CVE-2010-1664, CVE-2010-1665, CVE-2010-1758, CVE-2010-1759
     - CVE-2010-1760, CVE-2010-1761, CVE-2010-1762, CVE-2010-1767
     - CVE-2010-1770, CVE-2010-1771, CVE-2010-1772, CVE-2010-1773
     - CVE-2010-1774, CVE-2010-1780, CVE-2010-1781, CVE-2010-1782
     - CVE-2010-1783, CVE-2010-1784, CVE-2010-1785, CVE-2010-1786
     - CVE-2010-1787, CVE-2010-1788, CVE-2010-1790, CVE-2010-1792
     - CVE-2010-1793, CVE-2010-1807, CVE-2010-1812, CVE-2010-1814
     - CVE-2010-1815, CVE-2010-2264, CVE-2010-2647, CVE-2010-2648
     - CVE-2010-3113, CVE-2010-3114, CVE-2010-3115, CVE-2010-3116
     - CVE-2010-3248, CVE-2010-3257, CVE-2010-3259
  * debian/patches/ubuntu-gir-version.patch: removed for lucid
  * debian/control: add gir-repository-dev back to build-depends for lucid

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 13 Oct 2010 13:39:02 -0400

=== debian/control ===
Source: webkit
Priority: optional
Section: web
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
Build-Depends: debhelper (>= 5.0),
               chrpath,
               libgtk2.0-dev (>= 2.10),
               libpango1.0-dev (>= 1.16),
               libicu-dev,
               libxslt-dev,
               libsoup2.4-dev (>= 2.29.90),
               libsqlite3-dev,
               gperf,
               bison,
               flex,
               libjpeg62-dev,
               libpng12-dev,
               libxt-dev,
               autotools-dev,
               libgstreamer-plugins-base0.10-dev,
               libenchant-dev,
               gtk-doc-tools,
               libgail-dev,
               libgirepository1.0-dev (>= 0.6.2),
               gir-repository-dev (>= 0.6.2),
               gobject-introspection (>= 0.6.2)
Standards-Version: 3.8.4
Homepage: http://webkit.org/
Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git

Package: libwebkit-1.0-2
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libwebkit-1.0-common (>= ${source:Upstream-Version})
Description: Web content engine library for Gtk+
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This is the library for embedding in Gtk+ applications.

Package: libwebkit-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libwebkit-1.0-2 (= ${binary:Version}), libgtk2.0-dev, libsoup2.4-dev (>= 2.27.91)
Replaces: gir-repository-dev, gobject-introspection-repository
Description: Web content engine library for Gtk+ - Development files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides development files required to create Gtk+ applications
 embedding WebKit.

Package: libwebkit-1.0-common
Section: libs
Depends: ${misc:Depends}
Priority: optional
Architecture: all
Description: Web content engine library for Gtk+ - data files
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the data files needed by the library.

Package: libwebkit-1.0-2-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libwebkit-1.0-2 (= ${binary:Version})
Description: Web content engine library for Gtk+ - Debugging symbols
 WebKit is a web content engine, derived from KHTML and KJS from KDE, and
 used primarily in Apple's Safari browser.  It is made to be embedded in
 other applications, such as mail readers, or web browsers.
 .
 It is able to display content such as HTML, SVG, XML, and others. It also
 supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.
 .
 This package provides the debugging symbols for the Webkit library for Gtk+.

Package: gir1.0-webkit-1.0
Section: libs
Architecture: any
Depends: ${misc:Depends}
Conflicts: gobject-introspection-repository
Description: GObject introspection data for the WebKit library
 This package contains introspection data for WebKit, a web content
 engine for GTK+.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -g -Wall

ifeq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -O2
else
        CFLAGS += -O0
endif

ifeq ($(DEB_BUILD_ARCH),alpha)
        CFLAGS += -Wl,--no-relax
endif

ifeq ($(DEB_BUILD_ARCH),s390)
        CFLAGS += -gstabs
endif

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEARGUMENTS += -j$(NUMJOBS)
endif

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp install-stamp
	-test -d build/WebKit/gtk/docs && cd build/WebKit/gtk/docs && \
	    make maintainer-clean
	rm -rf build
	rm -f WebKit/gtk/docs/version.xml

	dh_clean

build: build-stamp

build-stamp:
	dh_testdir

	[ ! -d build ] && mkdir build || true
	cd build && \
	CFLAGS="$(CFLAGS)" \
	CXXFLAGS="$(CFLAGS)" \
	CC="gcc -Wl,--as-needed" \
	CXX="g++ -Wl,--as-needed" \
	../configure --prefix=/usr \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--enable-gtk-doc \
		--enable-introspection

	$(MAKE) $(MAKEARGUMENTS) -C build

	# Awesome hack to get the docs built! For some reason, the
	# first call to make docs fails mid-work, but the second
	# succeeds.
	ln -fs ../../../build/WebKit/gtk/docs/version.xml WebKit/gtk/docs
	cd build/WebKit/gtk/docs && make docs

	touch $@

install: install-stamp

install-stamp: build-stamp
	dh_testdir
	dh_testroot

	dh_clean -k

	$(MAKE) -C build install DESTDIR="$(CURDIR)"/debian/tmp
	[ ! -d debian/tmp/usr/lib/webkit-1.0-2/libexec ] && install -d -m 755 debian/tmp/usr/lib/webkit-1.0-2/libexec || true
	build/libtool --mode=install install -m 755 build/Programs/DumpRenderTree "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0-2/libexec/DumpRenderTree
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0-2/libexec/DumpRenderTree
	build/libtool --mode=install install -m 755 build/Programs/GtkLauncher "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0-2/libexec/GtkLauncher
	chrpath -d "$(CURDIR)"/debian/tmp/usr/lib/webkit-1.0-2/libexec/GtkLauncher

	install -d -m 755 debian/tmp/usr/share/doc/libwebkit-dev/html
	install -m 644 WebKit/gtk/docs/html/* debian/tmp/usr/share/doc/libwebkit-dev/html/

	touch $@

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs -i
	dh_installchangelogs -i
	dh_install -i --sourcedir=debian/tmp
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installchangelogs -a
	dh_install -a --sourcedir=debian/tmp
	dh_link -a
	dh_strip -a --dbg-package=libwebkit-1.0-2-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a -V 'libwebkit-1.0-2 (>= 1.1.90)' -- -c4
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch

.PHONY: build clean install binary binary-indep binary-arch

## webkit 1.2.7

=== debian/changelog ===
webkit (1.2.7-3) unstable; urgency=low

  * debian/patches/06-fix-null-dns-lookups.patch:
  - Avoid doing lots of needless NULL DNS lookups, thanks to Michael
    Gratton <mike@vee.net> for the patch and Simon Paillard
    <spaillard@debian.org> for the investigation (Closes: #578019)
  * debian/control:
  - remove build-dependency on now unnecessary gir-repository-dev

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 28 Apr 2011 17:55:41 -0300

webkit (1.2.7-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * Build a gir1.2 package.

  [ Gustavo Noronha Silva ]
  * debian/patches/07-fix-bad-merge-that-broke-gifs.patch:
  * debian/patches/08-fix-crash-for-big-shadowed-areas.patch:
  - Added patches from upstream to fix broken functionality and a crash

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 22 Mar 2011 20:29:05 -0300

webkit (1.2.7-1) unstable; urgency=high

  * Import new upstream security release.
  * Set DM-Upload-Allowed and add myself as an uploader.
  * Drop patches for cve-2010-2901 and cve-2010-4040 (included upstream now).

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Sat, 19 Feb 2011 17:24:56 -0500

webkit (1.2.6-2) unstable; urgency=low

  * Acknowledge 1.2.5-2.1 NMU, thanks gregor! (Closes: #598956).

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 12 Jan 2011 09:33:46 -0200

webkit (1.2.6-1) unstable; urgency=high

  [ Michael Gilbert ]
  * fix cve-2010-1824: use-after-free issue in svg handling.
  * fix cve-2010-3254: integer overflow in websockets.
  * fix cve-2010-4040: buffer overflow in gif handling.
  * fix cve-2010-4042: element attribute mishandling.

  [ Gustavo Noronha Silva ]
  * New upstream release fixing the following CVEs:

      CVE-2010-4198 CVE-2010-4197 CVE-2010-4204 CVE-2010-4206
      CVE-2010-1791 CVE-2010-3812 CVE-2010-3813

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 11 Jan 2011 09:44:19 -0200

webkit (1.2.5-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add patch 05-fix-jit-on-kfreebsd-i386.patch by Petr Salinger and 
    Michael Dorrington: Fixes Javascript JIT crashing on kfreebsd-i386
    (closes: #598956).

 -- gregor herrmann <gregoa@debian.org>  Wed, 10 Nov 2010 23:28:55 +0100

webkit (1.2.5-2) unstable; urgency=high

  * Unapply 02-pool-fixup-and-sparc-support.patch and
    04-spoof-user-agent-to-google.patch in git.  This prevents the
    creation of an unwanted debian-changes patch.

 -- Michael Gilbert <michael.s.gilbert@gmail.com>  Mon, 18 Oct 2010 22:00:36 -0400

webkit (1.2.5-1) unstable; urgency=high

  [ Gustavo Noronha Silva ]

  * New upstream release
  - fixes the following CVES:

      CVE-2010-1780 CVE-2010-3113 CVE-2010-1814 CVE-2010-1812
      CVE-2010-1815 CVE-2010-3115 CVE-2010-1807 CVE-2010-3114
      CVE-2010-3116 CVE-2010-3257 CVE-2010-3259

  [ Michael Gilbert ]
  * fix cve-2010-2646: security origin bypass using IFRAME elements.
  * fix cve-2010-2651: vulnerability in css style rendering.
  * fix cve-2010-2900: vulnerability with large canvas elements when using the
    SKIA library.
  * fix cve-2010-2901: vulnerability in the rendering implementation.
  * fix cve-2010-3120: vulnerability in geolocation feature.

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 16 Oct 2010 17:50:56 -0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: webkit
 Priority: optional
 Section: web
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
-Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>
+Maintainer: Debian WebKit Maintainers <pkg-webkit-maintainers@lists.alioth.debian.org>
+Uploaders: Mike Hommey <glandium@debian.org>, Gustavo Noronha Silva <kov@debian.org>, Michael Gilbert <michael.s.gilbert@gmail.com>
 Build-Depends: debhelper (>= 5.0),
                chrpath,
                libgtk2.0-dev (>= 2.10),
@@ -23,10 +22,13 @@
                libenchant-dev,
                gtk-doc-tools,
                libgail-dev,
-               libgirepository1.0-dev (>= 0.6.2),
-               gir-repository-dev (>= 0.6.2),
-               gobject-introspection (>= 0.6.2)
+               libgirepository1.0-dev (>= 0.10.0),
+               gobject-introspection (>= 0.10.0),
+               gir1.2-glib-2.0,
+               gir1.2-gtk-2.0,
+               gir1.2-soup-2.4
 Standards-Version: 3.8.4
+DM-Upload-Allowed: yes
 Homepage: http://webkit.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-webkit/webkit.git
 Vcs-Git: git://git.debian.org/git/pkg-webkit/webkit.git
@@ -92,11 +94,12 @@
  .
  This package provides the debugging symbols for the Webkit library for Gtk+.
 
-Package: gir1.0-webkit-1.0
+Package: gir1.2-webkit-1.0
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}
-Conflicts: gobject-introspection-repository
+Depends: ${misc:Depends}, ${gir:Depends}, ${shlibs:Depends}
+Conflicts: gobject-introspection-repository, gir1.0-webkit-1.0
+Replaces: gir1.0-webkit-1.0
 Description: GObject introspection data for the WebKit library
  This package contains introspection data for WebKit, a web content
  engine for GTK+.

=== debian/rules ===
--- 
+++ 
@@ -115,6 +115,7 @@
 	dh_makeshlibs -a -V 'libwebkit-1.0-2 (>= 1.1.90)' -- -c4
 	dh_installdeb -a
 	dh_shlibdeps -a
+	dh_girepository -a
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a
